Page MenuHomePhabricator

"What links here" and "Page information" should not appear on Special:NewPagesFeed
Closed, ResolvedPublic

Description

On Special:NewPagesFeed, the "What links here" and "Page information" links should not appear under "Tools" on the left side, like all other special pages.

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterCall setHeaders() in SpecialNewPagesFeed::execute()

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 3 2016, 7:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.Dec 6 2016, 6:45 PM

It's not clear to me why this happens; maybe it's because SpecialNewPagesFeed doesn't call $this->setHeaders(). I'll experiment with fixing this.

Change 325611 had a related patch set uploaded (by Catrope):
Call setHeaders() in SpecialNewPagesFeed::execute()

https://gerrit.wikimedia.org/r/325611

Change 325611 merged by jenkins-bot:
Call setHeaders() in SpecialNewPagesFeed::execute()

https://gerrit.wikimedia.org/r/325611

GeoffreyT2000 added a comment.EditedDec 19 2016, 4:49 PM

Can this be closed as resolved now, please?

GeoffreyT2000 closed this task as Resolved.Dec 25 2016, 7:37 PM